<?php
/**
 * Handler/Dispatcher for asynchronous calls (both AJax calls and HTTP GET fallbacks)
 *
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package core
 */
if(!defined('QP_MAIN_INIT')) die('fail');

param( 'collapse', 'string', '' );
if( ! empty( $collapse ) )
{
	// We want to record a 'collapse' value
	$set_status = 'collapsed';
	$set_target = $collapse;
}

param( 'expand', 'string', '' );
if( ! empty( $expand ) )
{
	// We want to record an 'expand' value
	$set_status = 'expanded';
	$set_target = $expand;
}

if( ! empty( $set_target ) )
{
	if( preg_match( '/_(filters|colselect)$/', $set_target) )
	{
		// accept all _filters and _colselect open/close requests!
		// We have a valid value
		$Session->set( $set_target, $set_status );
	}
	else
	{
		// Warning: you may not see this on AJAX calls
		echo( 'Cannot ['.$set_status.'] unknown param ['.$set_target.']' );
	}
}

?>
