<?php
/**
 * $ctrl_mappings: 'aspm_distro' || Tools -> Antispam -> Distribute Antispam
 *
 * @uses antispam_create()
 * @uses antispam_delete()
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package antispam
 */
if(!defined('QP_MAIN_INIT')) die('fail');

$AdminUI->set_path( 'tools', 'antispam', 'daspm' );

param( 'action', 'string' );
param( 'confirm', 'string' );
param( 'keyword', 'string', '', true );
param( 'domain', 'string' );
param( 'filteron', 'string', '', true );
param( 'filter', 'array', array() );

if( isset( $filter['off'] ) )
{
	unset( $filteron );
	forget_param( 'filteron' );
}

// Check permission
$current_User->check_perm( 'spamblacklist', 'view', true );

switch( $action )
{
	case 'ban':
	break;

	case 'remove':
	break;
}

// Display <html><head>...</head> section (should be done early if actions do not redirect)
$AdminUI->disp_html_head();
// Display title, menu, messages, etc... (messages MUST be displayed AFTER the actions)
$AdminUI->disp_body_top();
// Begin payload block
$AdminUI->disp_payload_begin();
// Display final (unbound) menu depth
echo $AdminUI->get_html_menu( array( 'tools', 'antispam' ), 'menu3' );
// Display VIEW
$AdminUI->disp_view( 'antispam/views/_distribute.view.php' ); // Display blacklist
// End payload block
$AdminUI->disp_payload_end();
// Display body bottom, debug info, close </html>
$AdminUI->disp_global_footer();

?>
