<?php
/**
 * This file implements the Hit and Session pruning Cron controller
 *
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package cron
 */
if(!defined('QP_MAIN_INIT')) die('fail');

global $Settings;

if( $Settings->get( 'auto_prune_stats_mode' ) != 'cron' )
{
	// Autopruning is NOT requested
	$result_message = T_('Auto pruning is not set to run as a scheduled task');
	return 2;
}

$result_message = Hitlist::dbprune(); // will prune once per day, according to Settings

if( empty($result_message) )
{
	return 1; /* ok */
}

return 100;

?>