<?php
/**
 * This file implements the UI for file deletion
 *
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package files
 */
if(!defined('QP_MAIN_INIT')) die('fail');

global $selected_Filelist;

$Form = new Form( NULL );
$Form->global_icon( T_('Cancel delete!'), 'close', regenerate_url(), T_('cancel') );
$Form->begin_form( 'fform', T_('Delete') );
$Form->hidden_ctrl();
// Regenerate POSTed keys and their values but ignore the original value of fm_selected
// and override it with the files which are selected *now* (some files may have been
// removed from the list because of delete restrictions).
$Form->hiddens_by_key( array_merge( get_memorized(),
	array( 'fm_selected' => $selected_Filelist->get_array( 'get_rdfp_rel_path' ) ) ) );
$Form->hidden( 'action', 'delete' );
$Form->hidden( 'confirmed', 1 );

$Form->begin_fieldset( T_('Confirm delete') );
echo $selected_Filelist->count() > 1
	? T_('Do you really want to delete the following files?') : T_('Do you really want to delete the following file?');
$selected_Filelist->restart();
echo '<ul>';
	while( $l_File = & $selected_Filelist->get_next() )
	{
		echo '<li>'.$l_File->get_prefixed_name().'</li>';
	}
echo '</ul>';
$Form->end_fieldset();

$Form->end_form( array(
	array( 'submit', 'submit', T_('Delete'), 'DeleteButton' )
) );

?>
