<?php
/**
 * This file implements the UI for file download
 *
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package files
 */
if(!defined('QP_MAIN_INIT')) die('fail');

global $exclude_sd;
global $selected_Filelist;
global $zipname;

$Form = new Form( NULL, 'fm_download_checkchanges' );
$Form->global_icon( T_('Cancel download!'), 'close', regenerate_url(), T_('cancel') );
$Form->begin_form( 'fform', T_('Download files in archive') );
$Form->hidden_ctrl();
$Form->hidden( 'action', 'download' );
$Form->hidden( 'action_invoked', 1 );
$Form->hiddens_by_key( get_memorized() );
$Form->text_input( 'zipname', $zipname, 30, T_('Archive filename'), T_('This is the name of the file which will get sent to you.'), array( 'maxlength' => '' ) );

if( $selected_Filelist->count_dirs() )
{
	// Allow to exclude dirs
	$Form->checkbox( 'exclude_sd', $exclude_sd, T_('Exclude subdirectories'), T_('This will exclude subdirectories of selected directories.') );
}

$Form->begin_fieldset( T_('Files to download') );
echo '<ul><li>'.implode( "</li>\n<li>", $selected_Filelist->get_array( 'get_prefixed_name' ) )."</li></ul>\n";
$Form->end_fieldset();

$Form->end_form( array(
		array( 'submit', 'submit', T_('Download'), 'DeleteButton' )
) );

?>
