<?php
/**
 * This file implements the Link class
 *
 * Manages extra links on items.
 *
 * @todo (1111) vars type 'foo' need useful/valid descriptions
 *
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package items
 */
if(!defined('QP_MAIN_INIT')) die('fail');

/**
 * Link class
 *
 * @package items
 */
class Link extends DataObject
{
	/**
	 * ltype_ID ... doesn't seem to have a purpose!
	 * @var integer
	 */
	var $ltype_ID = 0;
	/**
	 * Item
	 * @var Object
	 */
	var $Item;
	/**
	 * File
	 * @var foo
	 */
	var $File;

	/**
	 * Constructor
	 *
	 * @param mixed T_links table database row
	 */
	function Link( $db_row = NULL )
	{
		// Call parent constructor
		parent::DataObject( 'T_links', 'link_', 'link_ID', 'datecreated', 'datemodified', 'creator_user_ID', 'lastedit_user_ID' );

		if( $db_row != NULL )
		{
			$this->ID = $db_row->link_ID;
			$this->ltype_ID = $db_row->link_ltype_ID;
			// source of link
			$ItemCache = & get_Cache( 'ItemCache' );
			$this->Item = & $ItemCache->get_by_ID( $db_row->link_itm_ID );
			$FileCache = & get_Cache( 'FileCache' );
			// fp> do not halt on error. For some reason (ahem bug) a file can disappear
			// and if we fail here then we won't be able to delete the link
			$this->File = & $FileCache->get_by_ID( $db_row->link_file_ID, false, false );
		}
		else
		{
			// New object
		}
	}


	/**
	 * Return type of target for this Link
	 *
	 * @todo incomplete
	 */
	function target_type()
	{
		if( ! is_null( $this->File ) )
		{
			return 'file';
		}
		return 'unkown';
	}

}

?>
