<?php
/**
 * This file implements deletion of DB tables
 *
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package install
 */
if(!defined('QP_MAIN_INIT')) die('fail');

/**
 * db_delete(-)
 */
function db_delete()
{
	global $app_db_config;
	global $app_db_tableprefix;
	global $DB;

	echo "Disabling foreign key checks...<br />\n";
	$DB->query( 'SET FOREIGN_KEY_CHECKS=0' );

	// drop core tables
	foreach( $app_db_config['aliases'] as $tablename )
	{
		echo 'Dropping ', $tablename, ' table...<br />', "\n";
		$DB->query( 'DROP TABLE IF EXISTS '.$tablename );
	}

	// drop plugin tables
	foreach( $DB->get_results( 'SHOW TABLES LIKE \''.$app_db_tableprefix.'plugin_%\'', ARRAY_N ) as $row )
	{
		echo 'Dropping ', $row[0], ' plugin table...<br />', "\n";
		$DB->query( 'DROP TABLE IF EXISTS '.$row[0] );
	}

}

?>
