/**
 * Common JQuery UI Dialog functions
 * This file is part of Quam Plures - {@link http://quamplures.net/}
 * See also {@link https://launchpad.net/quam-plures}.
 * @author leeturner - http://www.hackingquamplures.com
 */

function modalIframeDialog( title, src, width, height )
{
	var $dialog = $('<div id="qpdialog"></div>')
		.html('<iframe id="modalIframeId" src="'+src+'" width="100%" height="100%" marginWidth="0" marginHeight="0" frameBorder="0" scrolling="auto" />')
		.dialog({
		autoOpen: false,
		height: height,
		width: width,
		modal: true,
  });
	$dialog.dialog('option', 'title',  title);
	$dialog.dialog('open');
}

