<?php
/**
 * item block template (sub-template)
 *
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://creativecommons.org/licenses/by/3.0/us/ Creative Commons (Attribution)
 * @package templates
 * @subpackage darkdragon
 */
if(!defined('QP_MAIN_INIT')) die('fail');

global $Item;

// set some default params...
$params = array_merge( array(
	'content_mode' => 'auto',
	'item_class' => 'bPost',
), $params );

$Item->locale_temp_switch(); // temporarily switch to item's locale
?>

<article id="<?php $Item->anchor_id(); ?>" class="featured" lang="<?php $Item->lang(); ?>">
<header class="article">
<?php
// display and link item title
$Item->title( array(
	'before' => '<h3>',
	'after' => '</h3>',
) );
?>
</header>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// --- POST CONTENT INCLUDED HERE ---
template_include( '_item_content.inc.php', $params );
?>

<footer>
<?php
// display link to edit this item
$Item->edit_link( array(
	'before' => '',
	'after' => '',
	'class' => 'floatright',
) );

// display link to (and count of) comments only
$Item->feedback_link( array(
	'type' => 'feedbacks',
	'link_before' => ' &middot; ',
) );
?>
</footer>

<?php
locale_restore_previous(); // restores previous locale
?>
</article>
