<?php
/**
 * Primary / default template file
 *
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package templates
 * @subpackage evocamp
 */
if(!defined('QP_MAIN_INIT')) die('fail');

template_init( $disp ); // do $disp-based initializations...

// --- --- --- --- --- --- --- --- --- --- ---
// --- HTML HEADER INCLUDED HERE ---
template_include( '_xhtml_header.inc.php' );

// --- --- --- --- --- --- --- --- --- --- ---
// --- BODY HEADER INCLUDED HERE ---
template_include( '_body_header.inc.php' );
?>

<div id="page">

<div id="contentleft">
<?php
// --- --- --- --- --- --- --- --- --- --- ---
// --- LEFT SIDEBAR INCLUDED HERE ---
template_include( '_sidebar.inc.php', array() );
?>

<div id="content">
<?php
// title for the current request
request_title( array(
	'title_before' => '<h2 class="sectionhead">',
	'title_after' => '</h2>',
) );

// messages generated from actions
messages( array() );

// --- --- --- --- --- --- --- --- --- --- ---
// --- MAIN CONTENT INCLUDED HERE ---
template_include( '$disp$', array() );
?>
</div>

</div>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// --- RIGHT SIDEBAR INCLUDED HERE ---
template_include( '_sidebar_2.inc.php' );
?>
</div>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// --- BODY FOOTER INCLUDED HERE ---
template_include( '_body_footer.inc.php' );
?>
