<?php
/**
 * body header template (sub-template)
 *
 * @author {@link http://wonderwinds.com/ Ed Bennett}
 * @author {@link http://www.tenderfeelings.be/ Tender Feelings}
 * @author {@link http://www.ndesign-studio.com/ Nick La}
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package templates
 * @subpackage glossyblue
 */
if(!defined('QP_MAIN_INIT')) die('fail');
?>

<div id="page">

<div id="header">

<div id="headerimg">
<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Page Top" container's widgets
template_container( NT_('Page Top'), array(
	'container_start' => '<div id="page_top">',
	'container_end' => '</div>',
	'block_display_title' => false,
) );

// --- --- --- --- --- --- --- --- --- --- ---
// display "Header" container's widgets
template_container( NT_('Header'), array(
	'block_title_start' => '<h1>',
	'block_title_end' => '</h1>',
) );
?>
</div>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Menu" container's widgets
template_container( NT_('Menu'), array(
	'container_start' => '<ul id="nav">',
	'container_end' => '</ul>',
	'block_start' => '',
	'block_end' => '',
	'block_display_title' => false,
	'list_start' => '',
	'list_end' => '',
	'item_start' => '<li class="$wi_class$ page_item">',
	'item_end' => '</li>',
	'item_selected_start' => '<li class="$wi_class$ page_item current_page_item">',
	'item_selected_end' => '</li>',
	'link_selected_class' => 'current_page_item',
) );
?>
</div>
