<?php
/**
 * body header template (sub-template)
 *
 * @author {@link http://wonderwinds.com/ Ed Bennett}
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package templates
 * @subpackage intense
 */
if(!defined('QP_MAIN_INIT')) die('fail');
?>

<div id="rap">

<div id="top">
<?php
// Random or custom header image
$header_index = 0;
if( ( $head_image = $Template->get_setting( 'head_image' ) ) !== false )
{
	$head_image = (int)$head_image;
	$header_index = $head_image == 0 ? mt_rand( 1, 4 ) : $head_image;
}
?>

<div id="header" class="header<?php echo $header_index;?>">
<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Page Top" container's widgets
template_container( NT_('Page Top'), array(
	'container_start' => '<div id="menu">',
	'container_end' => '</div>',
	'block_start' => '<div>',
	'block_end' => '</div>',
	'block_display_title' => false,
	'item_start' => '<li class="first page_item">',
	'item_end' => '</li>',
) );
?>
<h1 id="title">
<a href="<?php $Blog->disp('url'); ?>" title="<?php $Blog->disp('name'); ?>"><?php $Blog->disp('name'); ?></a>
</h1>
</div>

<div class="nav bl">
<div class="nav2 br">
<?php
// display the current blog's tagline
$Blog->tagline( array(
	'before' => '<div id="slogan">',
	'after' => '</div>',
) );

// --- --- --- --- --- --- --- --- --- --- ---
// display "Menu" container's widgets
template_container( NT_('Menu'), array(
	'container_start' => '<div id="navdiv"><ul id="navlist">',
	'container_end' => '</ul></div>',
	'block_start' => '',
	'block_end' => '',
	'block_display_title' => false,
	'list_start' => '',
	'list_end' => '',
) );
?>
</div>
</div>
