<?php
/**
 * This is the comments-popup page template
 *
 * @author {@link http://wonderwinds.com/ Ed Bennett}
 * @author {@link http://fplanque.net/ Francois PLANQUE}
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package templates
 * @subpackage photoblog
 */
if(!defined('QP_MAIN_INIT')) die('fail');

// $disp will normally be "feedback-popup" here
template_init( $disp ); // do $disp-based initializations...

// --- --- --- --- --- --- --- --- --- --- ---
// --- HTML HEADER INCLUDED HERE ---
template_include( '_xhtml_header.inc.php' );
?>

<div class="comments_popup">
<?php
// messages generated from actions
messages( array() );

// title for the current request
request_title( array(
	'title_before' => '<h2>',
	'title_after' => '</h2>',
	'title_none' => '<h2>&nbsp;</h2>',
	'title_single_disp' => false,
) );

// loop through as long as we have an Item...
while( $Item = & mainlist_get_item() )
{
	// --- --- --- --- --- --- --- --- --- --- ---
	// --- ITEM FEEDBACK INCLUDED HERE ---
	template_include( '_item_feedback.inc.php', array(
		'before_section_title' => '<h4>',
		'after_section_title' => '</h4>',
	) );
}
?>
</div>

<?php
// spark the plugin manager
$Plugins->trigger_event( 'TemplateEndHtmlBody' );
debug_info(); // output debug info if requested
?>
</div>
</body>
</html>
<?php $Hit->log(); // log the hit on this page ?>
