<?php
/**
 * body footer template (sub-template)
 *
 * @author {@link http://wonderwinds.com/ Ed Bennett}
 * @author {@link http://astonishme.co.uk/ Yabba (Paul Jones, rest in peace)}
 * @copyright (c) 2013 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package templates
 * @subpackage pictogram
 */
if(!defined('QP_MAIN_INIT')) die('fail');
?>

<div id="footer" class="inner-wrap">
<?php
if( in_array( $disp, array( 'posts', 'single' ) ) )
{
	// --- --- --- --- --- --- --- --- --- --- ---
	// display "Page Footer" container's widgets
	template_container( NT_('Footer Left'), array(
		'container_start' => '<div id="footer-left" class="blockwrap container">',
		'block_title_start' => '<h3 class="blocknice">',
		'block_title_end' => '</h3>',
	) );

	// --- --- --- --- --- --- --- --- --- --- ---
	// display "Page Footer" container's widgets
	template_container( NT_('Footer Middle'), array(
		'container_start' => '<div id="footer-middle" class="blockwrap container">',
		'block_title_start' => '<h3 class="blocknice">',
		'block_title_end' => '</h3>',
	) );

	// --- --- --- --- --- --- --- --- --- --- ---
	// display "Page Footer" container's widgets
	template_container( NT_('Footer Right'), array(
		'container_start' => '<div id="footer-right" class="blockwrap container">',
		'block_title_start' => '<h3 class="blocknice">',
		'block_title_end' => '</h3>',
	) );
}
?>
<div id="blog-footer">
<p>
<?php
// display the current blog's footer text
$Blog->footer_text( array(
	'before' => '',
	'after' => '',
) );

// display a link to contact the current blog owner
$Blog->contact_link( array(
	'after' => '',
	'before' => ' Contact : ',
	'text' => 'Email owner',
) );
?>
</p>
<?php
if( $disp != 'credits' )
{
	echo '<p>'.$Template->T_('Credits')
		.' : <a href="'.$Blog->get( 'creditsurl' ).'#software">'.$Template->T_('Software').'</a>
		| <a href="'.$Blog->get( 'creditsurl' ).'#dracones">'.$Template->T_('Dracones').'</a>
		| <a href="'.$Blog->get( 'creditsurl' ).'#plugins">'.$Template->T_('Plugins').'</a>
		| <a href="'.$Blog->get( 'creditsurl' ).'#vanity">'.$Template->T_('Template').'</a>
		</p>'; // display a link to this blog's credits page
}
?>
</div>

</div>

<div id="pictogram" class="inner-wrap blocknice"><p>
<?php
echo $Template->T_('Thumbnail Index').': '.$Template->get_cat_thumbs( $Blog, 'links' );
?>
</p></div>

<?php
// spark the plugin manager
$Plugins->trigger_event( 'TemplateEndHtmlBody' );
debug_info(); // output debug info if requested
?>
</div>
</body>
</html>
<?php $Hit->log(); // log the hit on this page ?>
