<?php
/**
 * template when $disp == 'mediaidx'
 *
 * @author {@link http://wonderwinds.com/ Ed Bennett}
 * @author {@link http://astonishme.co.uk/ Yabba (Paul Jones, rest in peace)}
 * @copyright (c) 2013 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package templates
 * @subpackage pictogram
 */
if(!defined('QP_MAIN_INIT')) die('fail');

$cat_id = param( 'cat', 'string', '0' );

$params = array(
	'widget' => 'media_index',
	'block_start' => '',
	'block_end' => '',
	'block_display_title' => true,
	'thumb_size' => 'fit-120',
	'thumb_layout' => 'grid',
	'grid_start' => '<table class="image_index" cellspacing="3">',
	'grid_end' => '</table>',
	'grid_nb_cols' => 6,
	'grid_colstart' => '<tr>',
	'grid_colend' => '</tr>',
	'grid_cellstart' => '<td>',
	'grid_cellend' => '</td>',
	'cat_id' => $cat_id,
	'order_by' => $Blog->get_setting( 'orderby' ),
	'order_dir' => $Blog->get_setting( 'orderdir' ),
	'limit' => 1000,
);

if( $cat_id )
{
	$thumb_titles = $Template->get_cat_thumbs( $Blog, 'titles' );
	$params['widget_title'] = $Template->T_('Category').': '.$thumb_titles[$cat_id];
}

// display the Media Index widget
template_widget( $params );

?>
