<?php
/**
 * Primary / default template file
 *
 * @author {@link http://wonderwinds.com/ Ed Bennett}
 * @author {@link http://astonishme.co.uk/ Yabba (Paul Jones, rest in peace)}
 * @copyright (c) 2013 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package templates
 * @subpackage pictogram
 */
if(!defined('QP_MAIN_INIT')) die('fail');

template_init( $disp ); // do $disp-based initializations...

// --- --- --- --- --- --- --- --- --- --- ---
// --- HTML HEADER INCLUDED HERE ---
template_include( '_xhtml_header.inc.php' );

// --- --- --- --- --- --- --- --- --- --- ---
// --- BODY HEADER INCLUDED HERE ---
template_include( '_body_header.inc.php' );
?>

<div id="content" class="inner-wrap">
<?php
// messages generated from actions
messages( array() );

// --- --- --- --- --- --- --- --- --- --- ---
// --- MAIN CONTENT INCLUDED HERE ---
template_include( '$disp$', array() );
?>
</div>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// --- BODY FOOTER INCLUDED HERE ---
template_include( '_body_footer.inc.php' );
?>
