<?php
/**
 * This file displays the admin page footer.
 *
 * @author {@link http://wonderwinds.com/ Ed Bennett}
 * @author {@link http://fplanque.net/ Francois PLANQUE}
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package admin
 */
if(!defined('QP_MAIN_INIT')) die('fail');

global $Hit;
global $Plugins;

// some things don't happen in an iframe
if( $mode != 'iframe' )
{
	// icon legend?
	if( $IconLegend = & get_IconLegend() )
	{
		$IconLegend->display_legend();
	}
	echo $this->get_footer_contents();
	// CALL PLUGINS NOW
	$Plugins->trigger_event( 'AdminAfterPageFooter', array() );
	// Close open divs, etc...
	echo $this->get_body_bottom();
}

if( $this->get_path( 0 ) == 'files'
	|| $this->get_path_range( 0, 1 ) == array( 'blogs', 'perm' )
	|| $this->get_path_range( 0, 1 ) == array( 'blogs', 'permgroup' ) )
{
	// init checkall JS functions
	?>
	<script type="text/javascript">
	initcheckall();
	<?php
	if( $this->get_path(0) == 'files' )
	{
		global $checkall;
		?> setcheckallspan(0<?php if( isset( $checkall ) ) echo ', '.(int)$checkall; ?>); <?php
	}
	?>
	</script>
	<?php
}

include_footerlines(); // enables translation strings for js
?>
</div>
</body>
</html>
<?php $Hit->log(); // log the hit on this page ?>
