<?php
/**
 * This is the header file for login/registering services
 *
 * @author {@link http://wonderwinds.com/ Ed Bennett}
 * @author {@link http://fplanque.net/ Francois PLANQUE}
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package admin
 */
if(!defined('QP_MAIN_INIT')) die('fail');

header_content_type( 'text/html' ); // sets charset
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php locale_lang() ?>" lang="<?php locale_lang() ?>">
<head>
<title><?php echo $app_name.' &rsaquo; '.$page_title ?></title>
<meta name="ROBOTS" content="NOINDEX" />
<meta name="viewport" content="width = 600" />
<link href="<?php echo $rsc_url ?>css/login.css" rel="stylesheet" type="text/css" />
<?php include_headlines() // output collected <head> lines ?>
</head>
<body>
<div class="loginblock">
<div style="float:left"><h1 class="logintitle"><?php echo $app_banner; ?></h1></div>
<?php
if( isset( $page_icon ) )
{
	?>
	<img src="<?php echo $rsc_url.'icons/'.$page_icon ?>" width="24" height="24" style="float:right;" alt="" />
	<?php
}
?>
<div style="float:right">
<h2 class="logintitle"><?php echo $page_title ?></h2>
</div>
<div class="clear"></div>
<?php $Messages->display( '', '', true, 'all', array( 'login_error' => array( 'class' => 'log_error' ) ) ); ?>
