<?php
/**
 * This file implements the Category Move form
 *
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package categories
 */
if(!defined('QP_MAIN_INIT')) die('fail');

global $action;
global $BlogCache;
global $edited_GenericCategory;
global $subset_ID;

$edited_Category = & $edited_GenericCategory;

$Form = new Form( NULL, 'form' );
$Form->global_icon( T_('Cancel move!'), 'close', regenerate_url( 'action' ), T_('cancel') );

$Form->begin_form( 'fform', T_('Move category') );
$Form->hidden( 'action', 'update_move' );
$Form->hiddens_by_key( get_memorized( 'action' ) );

$Form->begin_fieldset( T_('Properties') );
$Form->info( T_('Name'), $edited_Category->name );

// We're essentially double checking here...
$edited_Blog = & $edited_Category->get_Blog();

$Form->select_input_options( $edited_Category->dbprefix.'blog_ID', $BlogCache->get_option_list( $edited_Blog->ID ), T_('Attached to blog'), T_('If you select a new blog, you will be able to choose a position within this blog on the next screen.') );
$Form->end_fieldset();

$Form->end_form( array(
	array( 'submit', 'submit', T_('Update'), 'SaveButton' ),
	array( 'reset', '', T_('Reset'), 'ResetButton' )
) );

?>
