<?php
/**
 * This file implements the comment browsing
 *
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package comments
 */
if(!defined('QP_MAIN_INIT')) die('fail');

global $Blog;
global $Comment;
global $CommentList;
global $dispatcher;

// Display comments
$block_item_Widget = new Widget( 'block_item' );

$block_item_Widget->title = T_('Feedback (Comments, Trackbacks...)');
$block_item_Widget->disp_template_replaced( 'block_start' );

// display a message if list is empty
$CommentList->display_if_empty( array() );

/**
 * Display list of comments
 */
require dirname(__FILE__).'/_comment_list.inc.php';

$block_item_Widget->disp_template_replaced( 'block_end' );

?>
