<?php
/**
 * This file implements the file editing form
 *
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package files
 */
if(!defined('QP_MAIN_INIT')) die('fail');

global $edited_File;

$Form = new Form( NULL, 'file_edit' );
$Form->global_icon( T_('Cancel editing!'), 'close', regenerate_url('fm_mode'), T_('cancel') );
$Form->begin_form( 'fform', T_('Editing:').' '.$edited_File->get_rdfs_rel_path() );
$Form->hidden_ctrl();
$Form->hidden( 'action', 'update_file' );
$Form->hiddens_by_key( get_memorized() );
$Form->switch_layout( 'none' );
echo '<div class="center">';
$Form->textarea_input( 'file_content', $edited_File->content, 25, '', array( 'class' => 'large', 'cols' => '80' ) );
$Form->buttons( array(
		array( 'submit', '', T_('Save!'), 'SaveButton' ),
		array( 'reset', '', T_('Reset'), 'ResetButton' )
) );
echo '</div>';
$Form->switch_layout( NULL );
$Form->end_form();

?>
