<?php
/**
 * This file implements the UI for file rename
 *
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package files
 */
if(!defined('QP_MAIN_INIT')) die('fail');

global $selected_Filelist;
global $new_names;

$Form = new Form( NULL, 'fm_rename_checkchanges' );
$Form->global_icon( T_('Cancel rename!'), 'close', regenerate_url(), T_('cancel') );
$Form->begin_form( 'fform', T_('Rename') );
$Form->hidden_ctrl();
$Form->hiddens_by_key( get_memorized() );
$Form->hidden( 'action', 'rename' );
$Form->hidden( 'confirmed', 1 );

$selected_Filelist->restart();
while( $loop_src_File = & $selected_Filelist->get_next() )
{
	$Form->begin_fieldset( T_('File').': '.$loop_src_File->dget( 'name' ) );
	$Form->text( 'new_names['.$loop_src_File->get_md5_ID().']', $new_names[$loop_src_File->get_md5_ID()],
		32, T_('New name'), $loop_src_File->dget( 'title' ), 128 );
	$Form->end_fieldset();
}

$Form->end_form( array(
	array( 'submit', 'submit', T_('Rename'), 'SaveButton' ),
	array( 'reset', '', T_('Reset'), 'ResetButton' )
) );

?>
