<?php
/**
 * $ctrl_mappings: 'itemstatuses' || Global settings -> Post statuses
 *
 * @todo (1111) the whole workflow thing, this is part of workflow, needs rehab
 *
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package items
 */
if(!defined('QP_MAIN_INIT')) die('fail');

// Check minimum permission
$current_User->check_perm( 'options', 'view', true );

$AdminUI->set_path( 'options', 'statuses' );

$list_title = T_('Post statuses');
$default_col_order = 'A';
$edited_name_maxlen = 40;
$perm_name = 'options';
$perm_level = 'edit';
$form_below_list = true;

// Delete restrictions
$delete_restrictions = array(
	array( 'table' => 'T_items', 'fk' => 'post_pst_ID', 'msg' => T_('%d related items') ),
);

$restrict_title = T_('Cannot delete item status');

// Used to know if the element can be deleted, so to display or not display confirm
// delete dialog (true:display, false:not display) It must be initialized to false
// before checking the delete restrictions
$checked_delete = false;

$GenericElementCache = new GenericCache( 'GenericElement', false, 'T_item_status', 'pst_', 'pst_ID' );

/**
 * require generic list editor
 */
require $inc_path.'generic/inc/_generic_listeditor.php';

?>
