<?php
/**
 * This file implements the Item history view
 *
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package items
 */
if(!defined('QP_MAIN_INIT')) die('fail');

global $Blog;
global $edited_Item;

$sql = 'SELECT "'.$edited_Item->mod_date.'" AS iver_edit_datetime, "'.$edited_Item->lastedit_user_ID
	.'" AS user_login, "Current version" AS action UNION
	SELECT iver_edit_datetime, user_login,  "Archived version" AS action
	FROM T_item_versions LEFT JOIN T_users ON iver_edit_user_ID = user_ID
	WHERE iver_itm_ID = '.$edited_Item->ID;

$count_sql = 'SELECT COUNT(*)+1 FROM T_item_versions WHERE iver_itm_ID = '.$edited_Item->ID;

// Create result set:
$Results = new Results( $sql, 'iver_', 'D', NULL, $count_sql );
$Results->title = T_('Item history (experimental) for:').' '.$edited_Item->get_title();

$Results->cols[] = array(
	'th' => T_('Date'),
	'order' => 'iver_edit_datetime',
	'default_dir' => 'D',
	'th_class' => 'shrinkwrap',
	'td_class' => 'shrinkwrap',
	'td' => '$iver_edit_datetime$',
);

$Results->cols[] = array(
	'th' => T_('User'),
	'order' => 'user_login',
	'th_class' => 'shrinkwrap',
	'td_class' => 'shrinkwrap',
	'td' => '$user_login$',
);

$Results->cols[] = array(
	'th' => T_('Note'),
	'order' => 'action',
	'td' => '$action$',
);

$Results->display();

?>
