<?php
/**
 * This file implements the UI view for the referering searches stats.
 *
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package sessions
 */
if(!defined('QP_MAIN_INIT')) die('fail');

/**
 * View funcs
 */
require_once dirname(__FILE__).'/_stats_view.funcs.php';

global $admin_url;
global $blog;
global $res_stats;
global $row_stats;
global $rsc_url;

// TOP REFERING SEARCH ENGINES
?>
<h3><?php echo T_('Top refering search engines') ?></h3>

<?php
refererList( 20, 'global', 0, 0, "'search'", 'dom_name', $blog, true );
if( count( $res_stats ) )
{
	?>
	<table class="grouped" cellspacing="0">
	<tr>
	<th class="firstcol"><?php echo T_('Search engine') ?></th>
	<th><?php echo T_('Hits') ?></th>
	<th class="lastcol"><?php echo /* xgettext:no-php-format */ T_('% of total') ?></th>
	</tr>
	<?php
	$count = 0;
	foreach( $res_stats as $row_stats )
	{
		?>
		<tr class="<?php echo( $count%2 ? 'odd' : 'even') ?>">
		<td class="firstcol"><a href="<?php stats_referer() ?>"><?php stats_basedomain() ?></a></td>
		<td class="right"><?php stats_hit_count() ?></td>
		<td class="right"><?php stats_hit_percent() ?></td>
		</tr>
		<?php
		$count++;
		}
	?>
	</table>
	<?php
}

?>
