<?php
/**
 * $ctrl_mappings: 'system' || Tools -> System
 *
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package tools
 */
if(!defined('QP_MAIN_INIT')) die('fail');

load_funcs( 'tools/model/_system.funcs.php' );

// Check minimum permission:
$current_User->check_perm( 'options', 'view', true );

$AdminUI->set_path( 'tools', 'system' );

param_action( 'list' );

// Display <html><head>...</head> section (should be done early if actions do not redirect)
$AdminUI->disp_html_head();
// Display title, menu, messages, etc... (messages MUST be displayed AFTER the actions)
$AdminUI->disp_body_top();
// Begin payload block
$AdminUI->disp_payload_begin();

switch( $action )
{
	case 'info':
	// Display VIEW
	$AdminUI->disp_view( 'tools/views/_phpinfo.view.php' ); // this space for phpinfo() one day...
	break;

	case 'list':
	default:
	// Display VIEW
	$AdminUI->disp_view( 'tools/views/_system_list.view.php' );
	break;
}

// End payload block
$AdminUI->disp_payload_end();
// Display body bottom, debug info, close </html>
$AdminUI->disp_global_footer();

?>
