<?php
/**
 * Locale definition
 *
 * Documentation of the keys:
 * - 'name' : The locale name displayed to the user (keep short).
 * - 'charset' : Character set of the locale's messages files.
 * - 'datefmt' : The date format for this language. See {@link date_i18n()}.
 * - 'timefmt' : The time format for this language. See {@link date_i18n()}.
 * - 'startofweek' : Start of week for this locale. 0 means Sunday, 1 Monday etc.
 *
 * @author {@link http://wonderwinds.com/ Ed Bennett}
 * @author {@link http://fplanque.net/ Francois PLANQUE}
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package locales
 */

$locale_defs['ru-RU'] = array(
	'name' => NT_('Russian (RU) utf8'),
	'charset' => 'utf-8',
	'datefmt' => 'j.m.y',
	'timefmt' => 'H:i:s',
	'startofweek' => 1,
);

?>
