<?php
/**
 * Stub file for the RDF posts feed
 *
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package xml
 * @subpackage rdf
 */

// tell QP to expect a blog in the URL params
// we don't want extra path resolution on this page
$resolve_extra_path = false;

// force the use of the rss template
$viewmode = '_rdf';

// retricts posts to those published, thus hiding drafts
$show_statuses = array();

// set a limit before which posts will be ignored
// you can use a unix timestamp value or 'now' which will hide all posts in the past
$timestamp_min = '';

// set a limit after which posts will be ignored
// you can use a unix timestamp value or 'now' which will hide all posts in the future
$timestamp_max = 'now';

/**
 * Load the configuration minimum
 */
require_once dirname(__FILE__).'/../qp_config/_config.php';

/**
 * Main initialization, with the identified $blog
 */
require $inc_path.'_blog_main.inc.php';

?>
