<?php
/**
 * this template's class file
 *
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package templates
 * @subpackage asevo
 */
if(!defined('QP_MAIN_INIT')) die('fail');

/**
 * asevo_Template class
 *
 * @package templates
 * @subpackage asevo
 */
class asevo_Template extends Template
{
	var $container_order = array( 'Page Top','Header','Menu','Sidebar' );
	var $folder = 'asevo';
	var $name = 'Asevo';
	var $type = 'xhtml';
	var $version = '1.0';

	/**
	 * Get credits for linkbacks
	 *
	 * @see Template::get_template_credits()
	 */
	function get_template_credits()
	{
		$template_linkbacks = array(
			'designer' => array(
				'pre' => $this->T_('Design by'),
				'text' => 'b2evolution',
				'url' => 'http://b2evolution.net/',
				'title' => 'http://b2evolution.net/',
				'post' => $this->T_('This template was originally a "skin" in b2evolution v3.3.3'),
			),
			'ported' => array(
				'pre' => $this->T_('Ported by'),
				'text' => 'EdB',
				'url' => 'http://1912webworks.com/',
				'title' => 'web engine tune-up specialist',
				'post' => $this->T_('Lorem ipsum dolor sit amet, consectetuer adipiscing elit.'),
			),
		);
		return $template_linkbacks;
	}

}

?>
