<?php
/**
 * this template's class file
 *
 * @author {@link http://wonderwinds.com/ Ed Bennett}
 * @author {@link http://freehtml5templates.com/ Gekko}
 * @copyright (c) 2013 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://creativecommons.org/licenses/by/3.0/us/ Creative Commons (Attribution)
 * @package templates
 * @subpackage grungefx
 */
if(!defined('QP_MAIN_INIT')) die('fail');

/**
 * grungefx_Template class
 *
 * @package templates
 * @subpackage grungefx
 */
class grungefx_Template extends Template
{
	var $container_order = array( 'Menu','Page Top','Sidebar','Footer' );
	var $folder = 'grungefx';
	var $name = 'GrungeFX';
	var $type = 'html5';
	var $version = '1.0';

	/**
	 * Get credits for linkbacks
	 *
	 * @see Template::get_template_credits()
	 */
	function get_template_credits()
	{
		$template_linkbacks = array(
			'designer' => array(
				'pre' => $this->T_('Design by'),
				'text' => 'Free HTML5 Templates',
				'url' => 'http://freehtml5templates.com/grungefx-html5-and-css3-template/',
				'title' => 'Free HTML5 Templates | Bringing modern web standards to everyone',
				'post' => $this->T_('GrungeFX is a 2-column HTML5 and CSS3 template with a great rusty, grunge feel, yet still has a brightness to it that counters the dark.'),
			),
			'ported' => array(
				'pre' => $this->T_('Ported by'),
				'text' => 'EdB',
				'url' => 'http://1912webworks.com/',
				'title' => 'web engine tune-up specialist',
				'post' => $this->T_('Lorem ipsum dolor sit amet, consectetuer adipiscing elit.'),
			),
			'license' => array(
				'pre' => $this->T_('License'),
				'text' => 'CC By-SA 3.0',
				'url' => 'http://creativecommons.org/licenses/by-sa/3.0/',
				'title' => 'CC By-SA 3.0',
				'post' => $this->T_('Attribution-ShareAlike 3.0 Unported (CC BY-SA 3.0)'),
			),


		);
		return $template_linkbacks;
	}

}

?>
