<?php
/**
 * this template's class file
 *
 * @author {@link http://wonderwinds.com/ Ed Bennett}
 * @author {http://fplanque.net/ Francois PLANQUE}
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package templates
 * @subpackage miami_blue
 */
if(!defined('QP_MAIN_INIT')) die('fail');

/**
 * miami_blue_Template class
 *
 * @package templates
 * @subpackage miami_blue
 */
class miami_blue_Template extends Template
{
	var $container_order = array( 'Page Top','Header','Menu','Sidebar' );
	var $folder = 'miami_blue';
	var $name = 'Miami Blue';
	var $type = 'xhtml';
	var $version = '1.0';

	/**
	 * Get credits for linkbacks
	 *
	 * @see Template::get_template_credits()
	 */
	function get_template_credits()
	{
		$template_linkbacks = array(
			'designer' => array(
				'pre' => $this->T_('Design by'),
				'text' => 'Fran&ccedil;ois PLANQUE',
				'url' => 'http://fplanque.net/',
				'title' => 'http://fplanque.net/',
				'post' => '', /* Replace with $this->T_('...') when there is something to translate */
			),
			'ported' => array(
				'pre' => $this->T_('Ported by'),
				'text' => 'EdB',
				'url' => 'http://1912webworks.com/',
				'title' => 'web engine tune-up specialist',
				'post' => $this->T_('Lorem ipsum dolor sit amet, consectetuer adipiscing elit.'),
			),
		);
		return $template_linkbacks;
	}

}

?>
