<?php
/**
 * body header template (sub-template)
 *
 * @author {@link http://wonderwinds.com/ Ed Bennett}
 * @author {@link http://astonishme.co.uk/ Yabba (Paul Jones, rest in peace)}
 * @copyright (c) 2013 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package templates
 * @subpackage pictogram
 */
if(!defined('QP_MAIN_INIT')) die('fail');
?>

<div id="header" class="wrapper">

<div class="inner-wrap">
<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Page Top" container's widgets
template_container( NT_('Header Top'), array(
	'container_start' => '<ul id="nav-top" class="container nav">',
	'container_end' => '</ul>',
	'block_start' => '',
	'block_end' => '',
	'block_display_title' => false,
	'list_start' => '',
	'list_end' => '',
) );

// --- --- --- --- --- --- --- --- --- --- ---
// display "Header" container's widgets
template_container( NT_('Header Middle'), array(
	'block_title_start' => '<h1>',
	'block_title_end' => '</h1>',
) );

// --- --- --- --- --- --- --- --- --- --- ---
// display "Menu" container's widgets
template_container( NT_('Header Bottom'), array(
	'container_start' => '<ul id="nav-bottom" class="container nav">',
	'container_end' => '</ul>',
	'block_start' => '',
	'block_end' => '',
	'block_display_title' => false,
	'list_start' => '',
	'list_end' => '',
) );
?>
</div>

<?php
// --- --- --- --- --- --- --- --- --- --- ---
// display "Pages Bar" container's widgets
template_container( NT_('Pages Bar'), array(
	'container_start' => '<div id="pages">',
	'container_end' => '</div>',
	'block_start' => '',
	'block_end' => '',
	'block_title_start' => '<strong>',
	'block_title_end' => '</strong>',
	'list_start' => '',
	'list_end' => '',
	'item_start' => ' &raquo; ',
	'item_end' => '',
) );
?>
</div>
