<?php
/**
 * Stub File Template
 *
 * This file is used to create a new stub file when a blog is created. If the value of $blog
 * is not NNN then this file was created; only stubfile.template.php has that value of $blog.
 * @copyright (c) 2009 by {@link http://quamplures.net/ the Quam Plures project}
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License v3
 * @package templates
 */

// select which blog
$blog = NNN;

// retricts posts to published, hides drafts
$show_statuses = array();

// ignore before, unix timestamp or 'now'
$timestamp_min = '';

// ignore after, unix timestamp or 'now'
$timestamp_max = 'now';

// force a template?
# $template = 'custom';

// change order?
# $order = 'ASC';

/**
 * Load the configuration minimum
 */
require_once dirname(__FILE__).'/qp_config/_config.php';

/**
 * Main initialization, with the identified $blog
 */
require $inc_path.'_blog_main.inc.php';

?>
